'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _g, _path2, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgBarbadosCircled = function SvgBarbadosCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "BarbadosCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#BarbadosCircled_svg__b)",
    mask: "url(#BarbadosCircled_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#00267F",
    d: "M1 .982h46V47H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFC726",
    d: "M16.336.982h15.328V47H16.336z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#000",
    d: "M24 16.57c-.494 1.357-1.006 2.776-2.093 3.863.425-.131.866-.2 1.311-.206v5.714l-1.617.242c-.063 0-.08-.09-.08-.215a22 22 0 0 0-1.052-4.816c-.036-.207-.647-1.015-.18-.872.063 0 .692.27.593.144A6.1 6.1 0 0 0 17.55 18.7c-.108-.027-.18.027-.08.153 1.616 2.489 2.973 5.427 2.964 8.912.63 0 2.156-.368 2.785-.368v4.034h.79l.18-11.266z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#000",
    d: "M24 16.57c.494 1.357 1.006 2.776 2.093 3.863a4.7 4.7 0 0 0-1.311-.206v5.714l1.617.242c.063 0 .08-.09.08-.215.169-1.64.521-3.256 1.052-4.816.036-.207.647-1.015.18-.872-.063 0-.692.27-.593.144A6.1 6.1 0 0 1 30.45 18.7c.108-.027.18.027.08.153-1.616 2.489-2.973 5.427-2.964 8.912-.63 0-2.156-.368-2.785-.368v4.034h-.79l-.18-11.266z"
  }))), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "BarbadosCircled_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

exports.ReactComponent = SvgBarbadosCircled;
